<template>
	<main>
		<div class="container">
			<!-- Default Grid -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Default Grid</h2>
				<div class="bzg">
					<div class="bzg_c" data-col="m3">
						<div class="text-center bg-primary text-white border">bzg_c m3</div>
					</div>
					<div class="bzg_c" data-col="m3">
						<div class="text-center bg-primary text-white border">bzg_c m3</div>
					</div>
					<div class="bzg_c" data-col="m3">
						<div class="text-center bg-primary text-white border">bzg_c m3</div>
					</div>
					<div class="bzg_c" data-col="m3">
						<div class="text-center bg-primary text-white border">bzg_c m3</div>
					</div>
				</div>
				<div class="bzg">
					<div class="bzg_c" data-col="m4">
						<div class="text-center bg-primary text-white border">bzg_c m4</div>
					</div>
					<div class="bzg_c" data-col="m4">
						<div class="text-center bg-primary text-white border">bzg_c m4</div>
					</div>
					<div class="bzg_c" data-col="m4">
						<div class="text-center bg-primary text-white border">bzg_c m4</div>
					</div>
				</div>

				<div class="text-size14">
					<pre><code class="code-container html">&lt;div class=&quot;bzg&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m3&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m3&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m3&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m3&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m3&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m3&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m3&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m3&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;div class=&quot;bzg&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m4&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m4&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m4&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m4&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m4&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m4&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;</code></pre>
				</div>
			</div>
			<hr />

			<!-- No-Gutter Grid -->
			<div class="mb-24">
				<h2 class="page-title font-fira">No-Gutter Grid</h2>
				<div class="bzg bzg--no-gutter">
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
					<div class="bzg_c" data-col="m1">
						<div class="text-center bg-primary text-white border">bzg_c m1</div>
					</div>
				</div>
				<div class="bzg bzg--no-gutter">
					<div class="bzg_c" data-col="m2">
						<div class="text-center bg-primary text-white border">bzg_c m2</div>
					</div>
					<div class="bzg_c" data-col="m2">
						<div class="text-center bg-primary text-white border">bzg_c m2</div>
					</div>
					<div class="bzg_c" data-col="m2">
						<div class="text-center bg-primary text-white border">bzg_c m2</div>
					</div>
					<div class="bzg_c" data-col="m2">
						<div class="text-center bg-primary text-white border">bzg_c m2</div>
					</div>
					<div class="bzg_c" data-col="m2">
						<div class="text-center bg-primary text-white border">bzg_c m2</div>
					</div>
					<div class="bzg_c" data-col="m2">
						<div class="text-center bg-primary text-white border">bzg_c m2</div>
					</div>
				</div>
				<div class="bzg bzg--no-gutter">
					<div class="bzg_c" data-col="m3">
						<div class="text-center bg-primary text-white border">bzg_c m3</div>
					</div>
					<div class="bzg_c" data-col="m3">
						<div class="text-center bg-primary text-white border">bzg_c m3</div>
					</div>
					<div class="bzg_c" data-col="m3">
						<div class="text-center bg-primary text-white border">bzg_c m3</div>
					</div>
					<div class="bzg_c" data-col="m3">
						<div class="text-center bg-primary text-white border">bzg_c m3</div>
					</div>
				</div>
				<div class="bzg bzg--no-gutter">
					<div class="bzg_c" data-col="m4">
						<div class="text-center bg-primary text-white border">bzg_c m4</div>
					</div>
					<div class="bzg_c" data-col="m4">
						<div class="text-center bg-primary text-white border">bzg_c m4</div>
					</div>
					<div class="bzg_c" data-col="m4">
						<div class="text-center bg-primary text-white border">bzg_c m4</div>
					</div>
				</div>
				<div class="bzg bzg--no-gutter">
					<div class="bzg_c" data-col="m6">
						<div class="text-center bg-primary text-white border">bzg_c m6</div>
					</div>
					<div class="bzg_c" data-col="m6">
						<div class="text-center bg-primary text-white border">bzg_c m6</div>
					</div>
				</div>
				<div class="bzg bzg--no-gutter">
					<div class="bzg_c" data-col="m7">
						<div class="text-center bg-primary text-white border">bzg_c m7</div>
					</div>
					<div class="bzg_c" data-col="m5">
						<div class="text-center bg-primary text-white border">bzg_c m5</div>
					</div>
				</div>
				<div class="bzg bzg--no-gutter">
					<div class="bzg_c" data-col="m12">
						<div class="text-center bg-primary text-white border">
							bzg_c m12
						</div>
					</div>
				</div>

				<div class="text-size14">
					<pre><code class="code-container html">&lt;div class=&quot;bzg bzg--no-gutter&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m1&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m1&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;div class=&quot;bzg bzg--no-gutter&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m2&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m2&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m2&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m2&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m2&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m2&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m2&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m2&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m2&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m2&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m2&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m2&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;div class=&quot;bzg bzg--no-gutter&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m3&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m3&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m3&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m3&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m3&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m3&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m3&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m3&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;div class=&quot;bzg bzg--no-gutter&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m4&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m4&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m4&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m4&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m4&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m4&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;div class=&quot;bzg bzg--no-gutter&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m6&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m6&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m6&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m6&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;div class=&quot;bzg bzg--no-gutter&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m7&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m7&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m5&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m5&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;div class=&quot;bzg bzg--no-gutter&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m12&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m12&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;</code></pre>
				</div>
			</div>
			<hr />

			<!-- Grid with offset -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Grid with Offset</h2>
				<div class="bzg bzg--no-gutter">
					<div class="bzg_c" data-col="m2">
						<div class="text-center bg-primary text-white border">bzg_c m2</div>
					</div>
					<div class="bzg_c" data-col="m5" data-offset="m5">
						<div class="text-center bg-primary text-white border">
							bzg_c m5 offset=m5
						</div>
					</div>
				</div>
				<div class="bzg bzg--no-gutter">
					<div class="bzg_c" data-col="m3" data-offset="m3">
						<div class="text-center bg-primary text-white border">
							bzg_c m3 offset=m3
						</div>
					</div>
					<div class="bzg_c" data-col="m3" data-offset="m3">
						<div class="text-center bg-primary text-white border">
							bzg_c m3 offset=m3
						</div>
					</div>
				</div>
				<div class="bzg bzg--no-gutter">
					<div class="bzg_c" data-col="m6" data-offset="m3">
						<div class="text-center bg-primary text-white border">
							bzg_c m6 offset=m3
						</div>
					</div>
				</div>
				<pre><code class="code-container html">&lt;div class=&quot;bzg bzg--no-gutter&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m2&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m2&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m5&quot; data-offset=&quot;m5&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m5 offset=m5&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;div class=&quot;bzg bzg--no-gutter&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m3&quot; data-offset=&quot;m3&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m3 offset=m3&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m3&quot; data-offset=&quot;m3&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m3 offset=m3&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;
&lt;div class=&quot;bzg bzg--no-gutter&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;m6&quot; data-offset=&quot;m3&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c m6 offset=m3&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;</code></pre>
			</div>
			<hr />

			<div class="mb-24">
				<h2 class="page-title font-fira">Responsive Grid</h2>
				<div class="bzg bzg--no-gutter">
					<div class="bzg_c" data-col="s12,m9,l6">
						<div class="text-center bg-primary text-white border">
							bzg_c s12,m9,l6
						</div>
					</div>
					<div class="bzg_c" data-col="s6,m3,l6">
						<div class="text-center bg-primary text-white border">
							bzg_c s6,m3,l6
						</div>
					</div>
				</div>
				<pre><code class="code-container html">&lt;div class=&quot;bzg bzg--no-gutter&quot;&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;s12,m9,l6&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c s12,m9,l6&lt;/div&gt;&lt;/div&gt;
    &lt;div class=&quot;bzg_c&quot; data-col=&quot;s6,m3,l6&quot;&gt;&lt;div class=&quot;text-center bg-primary text-white&quot;&gt;bzg_c s6,m3,l6&lt;/div&gt;&lt;/div&gt;
&lt;/div&gt;</code></pre>
			</div>
			<hr />
		</div>
	</main>
</template>

<script>
export default {
	name: 'GridPage'
}
</script>

<style lang="scss" scoped>
.border {
	border: 1px solid white;
}
</style>
